public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-pear-PHP-CodeSniffer] f44: v4.0.4
@ 2026-08-06  4:45 Remi Collet
  0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-08-06  4:45 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : rpms/php-pear-PHP-CodeSniffer
            Branch : f44
            Commit : bedd14e5f6eceb3a53c17c62e42167e18cb55562
            Author : Remi Collet <remi@fedoraproject.org>
            Date   : 2026-08-06T06:45:52+02:00
            Stats  : +22/-28 in 4 file(s)
            URL    : https://src.fedoraproject.org/rpms/php-pear-PHP-CodeSniffer/c/bedd14e5f6eceb3a53c17c62e42167e18cb55562?branch=f44

            Log:
            v4.0.4

(cherry picked from commit 1721dfd141beb94dea46c467ac7e4aac1688f90b)

---
diff --git a/.gitignore b/.gitignore
index 713d614..6465764 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
 clog
 /php-pear-PHP-CodeSniffer-4.0.0-06113cf.tgz
 /php-pear-PHP-CodeSniffer-4.0.1-0525c73.tgz
+/php-pear-PHP-CodeSniffer-4.0.4.tgz

diff --git a/makesrc.sh b/makesrc.sh
index 1ee3ac8..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,29 +4,24 @@ NAME=$(basename $PWD)
 OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'   $NAME.spec)
 PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
 VERSION=$(sed -n '/^Version:/{s/.* //;p}'           $NAME.spec)
-COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'  $NAME.spec)
-SHORT=${COMMIT:0:7}
 
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
-	echo Skip $NAME-$VERSION-$SHORT.tgz
+if [ -f $NAME-$VERSION.tgz ]; then
+	echo "$NAME-$VERSION.tgz already there"
 else
-	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION	\n"
 
 	echo "Cloning..."
-	rm -rf $PROJECT-$COMMIT
-	git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
+	git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
 
-	echo "Getting commit..."
-	pushd $PROJECT-$COMMIT
-		git checkout $COMMIT || echo exit 1
-		cp composer.json ../composer.json
-	popd
+	echo "Getting composer..."
+	cp $PROJECT-$VERSION/composer.json composer.json
 
 	echo "Archiving..."
-	tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+	tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
 
 	echo "Cleaning..."
-	rm -rf $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
 
 	echo "Done."
 fi

diff --git a/php-pear-PHP-CodeSniffer.spec b/php-pear-PHP-CodeSniffer.spec
index c2a5d52..373f2b0 100644
--- a/php-pear-PHP-CodeSniffer.spec
+++ b/php-pear-PHP-CodeSniffer.spec
@@ -1,6 +1,6 @@
 # spec file for php-pear-PHP-CodeSniffer
 #
-# Copyright (c) 2013-2025 Remi Collet
+# Copyright (c) 2013-2026 Remi Collet
 # Copyright (c) 2009-2013 Christof Damian
 # Copyright (c) 2006-2009 Konstantin Ryabitsev
 #
@@ -13,26 +13,20 @@
 
 %bcond_without       tests
 
-%global gh_commit    0525c73950de35ded110cffafb9892946d7771b5
-%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
-%global gh_date      2025-11-10
 %global gh_owner     PHPCSStandards
 %global gh_project   PHP_CodeSniffer
 # keep in old PEAR tree
 %global pear_phpdir  %{_datadir}/pear
 
-%global upstream_version 4.0.1
-#global upstream_prever  rc1
-
 Name:           php-pear-PHP-CodeSniffer
-Version:        %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
-Release:        2%{?dist}
+Version:        4.0.4
+Release:        1%{?dist}
 Summary:        PHP coding standards enforcement tool
 
 License:        BSD-3-Clause
 URL:            https://github.com/%{gh_owner}/%{gh_project}
 # git snapshot to retrieve test suite
-Source0:        %{name}-%{upstream_version}%{?upstream_prever}-%{gh_short}.tgz
+Source0:        %{name}-%{version}.tgz
 Source1:        makesrc.sh
 
 # RPM installation path
@@ -81,7 +75,7 @@ certain standards, such as PEAR, or user-defined.
 
 
 %prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
 %patch -P0 -p1 -b .rpm
 
 
@@ -123,11 +117,12 @@ for cmdarg in \
     "php82 %{_bindir}/phpunit11" \
     "php83 %{_bindir}/phpunit11" \
     "php84 %{_bindir}/phpunit11" \
-    "php85 %{_bindir}/phpunit11"
+    "php85 %{_bindir}/phpunit11" \
+    "php86 %{_bindir}/phpunit11"
   do if which $cmdarg; then
     set $cmdarg
     $1 -d memory_limit=-1 $2 \
-       --filter '^((?!(testBrokenRulesetMultiError)).)*$' \
+       --filter '^((?!(testBrokenRulesetMultiError|testFilenameParameterInjection)).)*$' \
        --no-coverage || ret=1
   fi
 done
@@ -144,6 +139,9 @@ exit $ret
 
 
 %changelog
+* Thu Aug  6 2026 Remi Collet <remi@remirepo.net> - 4.0.4-1
+- update to 4.0.4
+
 * Sat Jan 17 2026 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_44_Mass_Rebuild
 

diff --git a/sources b/sources
index 9acd652..d0106cc 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-pear-PHP-CodeSniffer-4.0.1-0525c73.tgz) = 384867fff733de98f3a0cd7105776aa571389e8f11a2d95ba51139a682778650900028722352779bb3b6986f61fa123ceded3d9496de0a05e0872ac21bb1329e
+SHA512 (php-pear-PHP-CodeSniffer-4.0.4.tgz) = d2ed0d2cf882eeb399c5688f63ada4120b115f093978d9ff2b464bdbea50118ed635d479acdbbce0cc107087899b46d83c8b05e4f11309665e7ed7d90e2b2875

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-08-06  4:45 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-06  4:45 [rpms/php-pear-PHP-CodeSniffer] f44: v4.0.4 Remi Collet

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox